//
// $Id$
//

#include "windowBounds.h"

using namespace std;

bool
windowBounds::setBounds(unsigned long center, 
			unsigned long winlen, 
			unsigned long maxindex) {

  long int tmpbeg, tmpend;

  if (winlen > maxindex) return false;

  long int halfwin = winlen / 2;
  tmpbeg = center - halfwin;
  tmpend = tmpbeg + winlen - 1 ;

  if (tmpbeg < 0) {
    tmpend += -tmpbeg;
    tmpbeg += -tmpbeg;
  }
  if (tmpend > maxindex) {
    long int diff = tmpend - maxindex;
    tmpend -= diff;
    tmpbeg -= diff;
  }

  beg = tmpbeg;
  end = tmpend;
  return true;

}
